<?php
/* @var $this NewtimetableController */
/* @var $model Newtimetable */

$this->breadcrumbs=array(
	'Newtimetables'=>array('index'),
	'Manage',
);

$this->menu=array(
	//array('label'=>'List Newtimetable', 'url'=>array('index')),
	array('label'=>'Vytvoriť hodinu v novom rozvrhu', 'url'=>array('create')),
  array('label'=>'Zobrazenie v tabuľke', 'url'=>array('/newenlist/rozvrh')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#newtimetable-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Nový trimester</h1>
<h2>Rozvrh hodín pre nový trimester</h2>

<?php echo CHtml::link('Rozšírené vyhľadávanie','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'newtimetable-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'gym_ID',
		'week_day',
		'time_start',
		'time_end',
		'label',
		/*
		'notes',
		'trainer',
		'trainer_alt',
		'lesson',
		*/
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
