<?php
/**
 * This is the model class for table "hours".
 *
 * The followings are the available columns in table 'hours':
 * @property integer $ID
 * @property string $date
 * @property integer $ID_timet
 * @property string $week_day
 * @property string $time_start
 * @property string $time_end
 * @property string $lesson
 * @property integer $trainer
 * @property integer $trainer_alt
 * @property integer $ID_kids
 * @property string $name
 * @property string $surname
 * @property integer $present
 * @property integer $tryout
 * @property string $notes
 * @property string $cur_timestamp
 */
?>
<?php $hours_arr = Yii::app()->helper->getHours(); ?>

<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>

<?php
Yii::app()->clientScript->registerScript('DatePicker', "
  
    $( '#date' ).datepicker({
        changeMonth: true,//this option for allowing user to select month
        changeYear: true, //this option for allowing user to select from year range
        dateFormat: 'yy-mm-dd',
    });

");
?>
<?php
Yii::app()->clientScript->registerScript('DatePicker2', "
  
    $( '#date_till' ).datepicker({
        changeMonth: true,//this option for allowing user to select month
        changeYear: true, //this option for allowing user to select from year range
        dateFormat: 'yy-mm-dd',
    });

");
?>

<h1>Tržby</h1>
<p>
V prvom koku striedte hodiny podla nizsie uvedenych kriterii.<br />
V druhom kroku bude zobrazeny vypis vybranych hodin. <br />
(Vyhľadávanie zohľadňuje len vyplnené polia.)<br />
V prípade vyhľadávania podľa konkrétneho dátumu, je nutné vyplnit len "Dátum(od)". V prípade intervalu je nutné vyplniť oba parametre.
</p>

<form id="hours-select-form" action="/admin/index.php?r=hours/countHours" method="post">
    <input type="hidden" name="formname" value="hours-select-form"/>
    <table border="1">
        <thead>
            <tr>
                <th>Parameter</th>
                <th>Hodnota</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Dátum od:<br /> (Ak je zadaný len dátum od, vyhľadá sa len tento jeden deň.)</td>
                <td><input name="hours[date]" id="date" type="text" /></td>
            </tr>
            <tr>
                <td>Dátum do:</td>
                <td><input name="hours[date_to]" id="date_till" type="text" /></td>
            </tr>            
            <tr>
                <td>Kurz:</td>
                <td>
                    <!--<input name="hours[lesson]" type="text" />-->
                    <?php $classes = Classes::model()->findAll(); ?>
                    <select name="hours[lesson]" id="Hours_lesson">
			<option selected ></option>
                        <?php
                            foreach($classes as $class){
                                echo "<option value='$class->name'>$class->name</option>";
                            }
                        ?>
<!--                        <option value="zabky">Žabky</option>
                  			<option value="hrosikovia">Hrošíkovia</option>
                  			<option value="orangutani">Orangutani</option>
                  			<option value="zajacikovia">Zajačikovia</option>
                  			<option value="gepardi">Gepardi</option>
                        <option value="levy">Levy</option>-->
                    </select>       
                </td>
            </tr>
            <tr>
                <td>Hodina v rozvrhu:</td>
                <td>
                    <!--<input name="hours[ID_timet]" type="text" />-->
                    <select name="hours[ID_timet]" id="H_ID_timet">
                        <option ></option>
			<?php foreach ($tt as $one) {
                            echo '<option value="'.$one->ID.'">'.$one->label.'</option>'; 
                        }?>
                    </select>
                </td>
            </tr> 
            <tr>
                <td>Dieťa:</td> 
                <td>
                    <!--<input name="hours[kid_ID]" type="text" />-->
                    <select name="hours[kid_ID]" id="H_ID_kid">
			<option ></option>
                        <?php foreach ($kids as $one) {
                            echo '<option value="'.$one->ID.'">'.$one->surname.' '.$one->name.'</option>'; 
                        }?>
                    </select>                
                </td>
            </tr>
            <tr>
                <td>Meno dieťaťa:</td>
                <td><input name="hours[kid_name]" type="text" /></td>
            </tr>
            <tr>
                <td>Priezvisko dieťaťa:</td>
                <td><input name="hours[kid_surname]" type="text" /></td>
            </tr>            
            <tr>
                <td>Tréner 1:</td>
                <td>
                    <!--<input name="hours[trainer_ID]" type="text" />-->
                    <select name="hours[trainer_ID]" id="H_ID_trainer">
                        <option ></option>
			<?php foreach ($train as $one) {
                            echo '<option value="'.$one->ID.'">'.$one->surname.' '.$one->name.'</option>'; 
                        }?>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Tréner 2:</td>
                <td>
                    <!--<input name="hours[alt_trainer_ID]" type="text" />-->
                    <select name="hours[alt_trainer_ID]" id="H_ID_alt_trainer">
                        <option ></option>
			<?php foreach ($train as $one) {
                            echo '<option value="'.$one->ID.'">'.$one->surname.' '.$one->name.'</option>'; 
                        }?>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Deň v týždni:</td>
                <td>
                    <!--<input name="hours[day]" type="text" />-->
                    <select name="hours[day]" id="hours_day">
                        <option ></option>
                        <option value="1">Pondelok</option>
                        <option value="2">Utorok</option>
                        <option value="3">Streda</option>
                        <option value="4">Štvrtok</option>
                        <option value="5">Piatok</option>
                        <option value="6">Sobota</option>
                        <option value="7">Nedeľa</option>
                    </select>
                </td>
            </tr>
<!--            <tr>
                <td>Trimester ID:</td>
                <td><input name="hours[trimester_ID]" type="text" /></td>
            </tr>-->
            <tr>
                <td>Začiatok hodiny (čas):</td>
                <td>
                    <!--<input name="hours[time_start]" type="text" />-->
                    <select name="hours[time_start]" id="hours_time_start">
                        <option selected></option>
                        <?php
                        foreach ($hours_arr as $single) {
                            echo "<option value='$single'>$single</option>";
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Koniec hodiny (čas):</td>
                <td>
                    <!--<input name="hours[time_end]" type="text" />-->
                    <select name="hours[time_end]" id="hours_time_end">
                        <option selected></option>
                        <?php
                        foreach ($hours_arr as $single) {
                            echo "<option value='$single'>$single</option>";
                        }
                        ?>
                    </select>
                </td>
            </tr>
        </tbody>
    </table>

    <input name="submit" type="submit" value="Vyhľadaj hodiny"  />
    
</form>
