<?php /* @var $this Controller */ ?>
<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="language" content="en">

	<!-- blueprint CSS framework -->
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/screen.css" media="screen, projection">
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/print.css" media="print">
	<!--[if lt IE 8]>
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/ie.css" media="screen, projection">
	<![endif]-->

	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/main.css">
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/form.css">

	<title><?php echo CHtml::encode($this->pageTitle); ?></title>
</head>

<body>

<div class="container" id="page">

	<div id="header">
		<div id="logo"> <a href="index.php"><img src=https://www.xbsgymnastics.sk/images/xbsgymnastics_logo.jpg alt="logo" width="40px" /></a> <?php echo CHtml::encode(Yii::app()->name); ?> </div>
	</div><!-- header -->

	<div id="mainmenu">
		<?php $this->widget('zii.widgets.CMenu',array(
			'items'=>array(
        	//array('label'=>'Domov', 'url'=>array('/site/index'), 'visible'=>!Yii::app()->user->isGuest),
	 		    //array('label'=>'Kontakt', 'url'=>array('/site/contact'), 'visible'=>Yii::app()->user->isGuest),
			    //array('label'=>'Rights', 'url'=>array('/rights'), 'visible'=>!Yii::app()->user->isGuest),
        	array('label'=>'Užívatelia', 'url'=>array('/users/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	array('label'=>'Deti', 'url'=>array('/kids/admin'), 'visible'=>!Yii::app()->user->isGuest),
          array('label'=>'Zápisy', 'url'=>array('/users/rozvrh/admin'), 'visible'=>!Yii::app()->user->isGuest),
          //array('label'=>'Čakačka', 'url'=>array('/query/zobrazRozvrh'), 'visible'=>!Yii::app()->user->isGuest),
          array('label'=>'Hodiny', 'url'=>array('/hours/admin'), 'visible'=>!Yii::app()->user->isGuest),                    
        	array('label'=>'Platby', 'url'=>array('/payments/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	//array('label'=>'Gyms', 'url'=>array('/gyms/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	//array('label'=>'ROZVRH', 'url'=>array('/users/rozvrh/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	array('label'=>'Trimestre', 'url'=>array('/semesters/admin'), 'visible'=>!Yii::app()->user->isGuest),
          //array('label'=>'Rozvrh', 'url'=>array('/timetable/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	//array('label'=>'Holiday', 'url'=>array('/holiday/admin'), 'visible'=>!Yii::app()->user->isGuest),
          //array('label'=>'Nový Trimester', 'url'=>array('/site/newTri'), 'visible'=>!Yii::app()->user->isGuest),
        	//array('label'=>'Registrácia', 'url'=>array('/users/register'), 'visible'=>!Yii::app()->user->isGuest)
        	array('label'=>'Prihlásenie', 'url'=>array('/site/login'), 'visible'=>Yii::app()->user->isGuest),
          array('label'=>'O aplikácii', 'url'=>array('/site/page', 'view'=>'about'), 'visible'=>Yii::app()->user->isGuest),				
        	array('label'=>'Odhlásenie ('.Yii::app()->user->name.')', 'url'=>array('/site/logout'), 'visible'=>!Yii::app()->user->isGuest),
			),
		)); ?>
    
    
    
	</div><!-- mainmenu -->

	<?php echo $content; ?>

	<div class="clear"></div>

	<div id="footer">
		Copyright &copy; <?php echo date('Y'); ?> by BigHugGym & JaOnMi.<br/>
		All Rights Reserved.<br/>
		<!--<?php echo Yii::powered(); ?>-->
	</div><!-- footer -->

</div><!-- page -->

</body>
</html>
