<?php
/* @var $this SemestersController */
/* @var $model Semesters */

$this->breadcrumbs=array(
	'Semesters'=>array('index'),
	'Manage',
);

$this->menu=array(
	//array('label'=>'List Semesters', 'url'=>array('index')),
	array('label'=>'Vytvoriť trimester', 'url'=>array('create')),
  array('label'=>'Prázdniny a sviatky', 'url' => array('/holiday/admin')),
  array('label'=>'Rozvrh hodín', 'url' => array('/timetable/admin')),
  array('label'=>'Kurzy', 'url' => array('/classes/admin')),
  array('label'=>'Skupiny', 'url' => array('/gyms/admin')),
  array('label'=>'Nový trimester', 'url' => array('/site/newTri')),
  array('label'=>'Prechod trimestrov DLHÝ', 'url' => array('/settings/newTrimPhase')),
  array('label'=>'Prechod trimestrov KRÁTKY', 'url' => array('/settings/newTrimPhaseShort')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#semesters-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Trimestre</h1>

<?php echo CHtml::link('Rozšírené vyhladávanie','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'semesters-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'label',
		'date_start',
		'date_end',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
