<?php
/* @var $this HoursController */
/* @var $model Hours */

//print_r($this);

$this->breadcrumbs=array(
	'Hours'=>array('index'),
	'Manage',
);

$this->menu=array(
  array('label'=>'Generovanie hodín', 'url'=>array('generate')),
  array('label'=>'Hromadná úprava hodín', 'url'=>array('updateBulk')),
  array('label'=>'Tržby', 'url'=>array('countHours')),  
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#hours-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<?php
    foreach(Yii::app()->user->getFlashes() as $key => $message) {
        echo '<div class="flash-' . $key . '">' . $message . "</div>\n";
    }
?>

<h1>Hodiny</h1>

<?php echo CHtml::link('Rozšírené vyhladávanie','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'hours-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'date',
		//'ID_timet',
		'week_day',
		'time_start',
		'time_end',
		'lesson',
		'trainer',
		//'trainer_alt',
		'ID_kids',
		'name',
		'surname',
		'present',
		'tryout',
		//'notes',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
