<?php
/* @var $this EnlistController */
/* @var $model Enlist */
/* @var $form CActiveForm */

$this->breadcrumbs=array(
	'Klienti'=>array('zobrazKlientov'),
  'Deti'=>array('zobrazDeti'),
  'Enlist',
);

?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'enlist-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($data); ?>

	<div class="row">
		<?php 
			echo "Dieťa: ";	
			$kids = Kids::model()->findAll(); 	
			$kidsList = CHtml::listData($kids, 'ID', 'label');
			//print_r($parentList);
			echo $form->dropDownList($data, 'ID_kid', $kidsList);
		?>	
		<?php //echo $form->labelEx($data,'ID_kid'); ?>
		<?php //echo $form->textField($data,'ID_kid'); ?>
		<?php //echo $form->error($data,'ID_kid'); ?>
	</div>

	<div class="row">
		<?php 
			echo "Rozvrh: ";	
			$tt = Timetable::model()->findAll(); 	
			$ttList = CHtml::listData($tt, 'ID', 'label');
			//print_r($parentList);
			if (isset($_GET['ID_timet'])) {
          echo $form->dropDownList($data, /*$_GET['ID_timet'],*/ 'ID_timet', $ttList, array('options' => array($_GET['ID_timet']=>array('selected'=>true))));
        }
      else{
        echo $form->dropDownList($data, /*$_GET['ID_timet'],*/ 'ID_timet', $ttList);
		    }
    ?>	
		<?php //echo $form->labelEx($data,'ID_timet'); ?>
		<?php //echo $form->textField($data,'ID_timet'); ?>
		<?php //echo $form->error($data,'ID_timet'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'notes'); ?>
		<?php echo $form->textField($data,'notes'); ?>
		<?php echo $form->error($data,'notes'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($data->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->


<?php $form2=$this->beginWidget('CActiveForm', array(
	'id'=>'enlist-delete',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>
	
  <?php echo $form2->hiddenField($data,'ID'); ?>
	
  <div class="row buttons">
		<?php echo CHtml::submitButton('Delete', array('name' => 'delete')); ?> 
	</div>

<?php $this->endWidget(); ?>